> For the complete documentation index, see [llms.txt](https://developers.rewardful.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.rewardful.com/rest-api/affiliate-links.md).

# Affiliate Links

- [The affiliate link object](https://developers.rewardful.com/rest-api/affiliate-links/the-affiliate-link-object.md)
- [List affiliate links](https://developers.rewardful.com/rest-api/affiliate-links/list.md): Returns a list of your affiliate links. The links are returned sorted by creation date, with the most recent links appearing first.
- [Create affiliate link](https://developers.rewardful.com/rest-api/affiliate-links/create.md): Creates a new affiliate link in your account with the specified parameters.
- [Retrieve affiliate link](https://developers.rewardful.com/rest-api/affiliate-links/retrieve.md): Retrieves the details of an existing affiliate link.
- [Update affiliate link](https://developers.rewardful.com/rest-api/affiliate-links/update.md): Updates the specified affiliate link by setting the values of the parameters passed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.rewardful.com/rest-api/affiliate-links.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
